% example with infinitely many minimizers
mpol x 2
r=4;
p=(x(1)^2+x(2)^2)^2-x(1)^2+x(2)^2; % lemniscate
P=msdp(min(p^2),r);
[status,bound]=msol(P);
b=mmon(x,r);M=double(mom(b*b'));

X=linspace(-1,1,100)';
[Y,P]=momgraph(M,X);
p=b'*P'*P*b; % Christoffel-Darboux polynomial
[X1,X2]=meshgrid(X);
contourf(X1,X2,log10(eval(vectorize(p,'X1','X2'))));
colorbar;


